---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

## 🐛 Bug

<!-- A clear and concise description of what the bug is. -->

## To Reproduce

Steps to reproduce the behavior:

1.
2.
3.

<!-- If you have a code sample, error messages, stack traces, please provide it here as well -->

## Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

## Environment

Please copy and paste the output from our
[environment collection script](https://raw.githubusercontent.com/mindee/doctr/main/scripts/collect_env.py)
(or fill out the checklist below manually).

You can get the script and run it with:
```
wget https://raw.githubusercontent.com/mindee/doctr/main/scripts/collect_env.py
# For security purposes, please check the contents of collect_env.py before running it.
python collect_env.py
```

 - DocTR Version (e.g., 0.1.0):
 - TensorFlow Version (e.g., 2.5.0):
 - PyTorch & torchvision versions (e.g., 1.8.0 & 0.9.0):
 - OpenCV Version (e.g., 4.5.1):
 - OS (e.g., Linux):
 - How you installed DocTR (`conda`, `pip`, source):
 - Python version:
 - CUDA/cuDNN version:
 - GPU models and configuration:
 - Any other relevant information:


## Additional context

<!-- Add any other context about the problem here. -->
